<%@ page contentType="text/html; charset=utf-8" pageEncoding="utf-8" %>
<%@ page import="java.util.*"%>

<%@ taglib prefix="kendo" uri="http://www.kendoui.com/jsp/tags" %>

<!DOCTYPE html>
<html>
    <head>
    
        <title>Home</title>
        <link href="http://cdn.kendostatic.com/2013.3.1119/styles/kendo.common.min.css" rel="stylesheet" type="text/css" />
		<link href="http://cdn.kendostatic.com/2013.3.1119/styles/kendo.default.min.css" rel="stylesheet" type="text/css" />
		<script src="http://code.jquery.com/jquery-1.9.1.min.js"></script>
		<script src="http://cdn.kendostatic.com/2013.3.1119/js/kendo.all.min.js"></script>
    </head>
    <body>

<div style="width:45%">  
	<div class="demo-section">
	
		<input type="text" value="foo" id="user">
	    <kendo:grid name="grid" pageable="true" sortable="true" filterable="true" columnMenu="true">
	        <kendo:grid-columns>
	            <kendo:grid-column title="Order ID" field="orderId" sortable="sortable" filterable="filterable" headerTemplate="<input type='checkbox' id='checkall' name='checkall'>" template="<input type='checkbox' id='checkbtn' name='checkbtn'>" />
				<kendo:grid-column title="Ship Country" field="shipCountry" />
				<kendo:grid-column title="Ship Name" field="shipName" />   
				<kendo:grid-column title="Alert Ship Address" field="shipAddress" sortable="sortable" filterable="filterable" template="<img src='http://cctv.b2max.com/images/icon/search_s_gray.png'>" />
	        </kendo:grid-columns>
	        <kendo:dataSource pageSize="10" serverPaging="true" serverSorting="true" serverFiltering="true">
	            <kendo:dataSource-transport>            	
	                <kendo:dataSource-transport-read url="test_data.jsp" dataType="json" type="POST" />
	                <kendo:dataSource-transport-parameterMap>
	                	<script>
	                	function parameterMap(data, type) {
	                		if (type == "read") {
	                			return {
	                				user: $("#user").val(),
	                				grid: JSON.stringify(data)
	                			};
	                		}
	                	}
	                	</script>
	                </kendo:dataSource-transport-parameterMap>              
	            </kendo:dataSource-transport>
	            <kendo:dataSource-schema data="data" total="total">
	                    <kendo:dataSource-schema-model>
	                        <kendo:dataSource-schema-model-fields>
	                            <kendo:dataSource-schema-model-field name="orderId" type="number" />
	                            <kendo:dataSource-schema-model-field name="shipCountry" type="string" />
	                            <kendo:dataSource-schema-model-field name="shipName" type="string" />
	                            <kendo:dataSource-schema-model-field name="shipAddress" type="string" />
	                        </kendo:dataSource-schema-model-fields>
	                    </kendo:dataSource-schema-model>
	                </kendo:dataSource-schema>
	        </kendo:dataSource>
	        <kendo:grid-pageable />
	    </kendo:grid>

    </div>
    
    <br> <input type="button" id="btn_send" name="btn_send" value="Selected Send">
     
</div>
    
	</body>
</html>